> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Overview

Full flowchart of all events for a transaction. Shows the click, conversions, postback delivery, and on-hold conversions.


## OpenAPI

````yaml openapi/reporting-transactions.yaml get /networks/reporting/transactions/{transactionId}
openapi: 3.0.3
info:
  title: Everflow Network API - Transaction Reporting
  description: >
    Transaction-level reporting endpoints for the Everflow partner marketing
    platform. View transaction overviews and flowcharts.
  version: 1.0.0
servers:
  - description: Production Server
    url: https://api.eflow.team/v1
security: []
tags:
  - name: Reporting
    description: Transaction reporting endpoints.
paths:
  /networks/reporting/transactions/{transactionId}:
    get:
      tags:
        - Reporting
      summary: Get Transaction Overview
      parameters:
        - in: path
          name: transactionId
          required: true
          schema:
            type: string
          description: 32-character transaction ID.
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  click:
                    type: object
                    description: The click record for this transaction.
                    properties:
                      transaction_id:
                        type: string
                      unix_timestamp:
                        type: integer
                      is_unique:
                        type: integer
                      tracking_url:
                        type: string
                      url:
                        type: string
                      source_id:
                        type: string
                      sub1:
                        type: string
                      sub2:
                        type: string
                      sub3:
                        type: string
                      sub4:
                        type: string
                      sub5:
                        type: string
                      sub6:
                        type: string
                      sub7:
                        type: string
                      sub8:
                        type: string
                      sub9:
                        type: string
                      sub10:
                        type: string
                      user_ip:
                        type: string
                      referer:
                        type: string
                      payout:
                        type: number
                      payout_type:
                        type: string
                      revenue:
                        type: number
                      revenue_type:
                        type: string
                      error_code:
                        type: integer
                      error_message:
                        type: string
                      error_filter_id:
                        type: string
                      is_view_through:
                        type: boolean
                      is_test_mode:
                        type: boolean
                      is_async:
                        type: boolean
                      is_sdk_click:
                        type: boolean
                      is_pass_through:
                        type: boolean
                      has_conversion:
                        type: boolean
                      creative_id:
                        type: integer
                      currency_id:
                        type: string
                      coupon_code:
                        type: string
                      idfa:
                        type: string
                      idfa_md5:
                        type: string
                      idfa_sha1:
                        type: string
                      google_ad_id:
                        type: string
                      google_ad_id_md5:
                        type: string
                      google_ad_id_sha1:
                        type: string
                      android_id:
                        type: string
                      android_id_md5:
                        type: string
                      android_id_sha1:
                        type: string
                      category_id:
                        type: integer
                      project_id:
                        type: string
                      previous_network_offer_id:
                        type: integer
                      custom_landing_page_id:
                        type: integer
                      redirect_method:
                        type: string
                      server_side_url:
                        type: string
                      server_side_output:
                        type: string
                      relationship:
                        type: object
                        properties:
                          offer:
                            type: object
                            properties:
                              network_offer_id:
                                type: integer
                              network_id:
                                type: integer
                              network_advertiser_id:
                                type: integer
                              network_offer_group_id:
                                type: integer
                              network_tracking_domain_id:
                                type: integer
                              name:
                                type: string
                              offer_status:
                                type: string
                              visibility:
                                type: string
                              currency_id:
                                type: string
                          advertiser:
                            type: object
                            properties:
                              network_advertiser_id:
                                type: integer
                              network_id:
                                type: integer
                              name:
                                type: string
                              account_status:
                                type: string
                          affiliate:
                            type: object
                            properties:
                              network_affiliate_id:
                                type: integer
                              network_id:
                                type: integer
                              network_traffic_source_id:
                                type: integer
                              name:
                                type: string
                              account_status:
                                type: string
                          account_manager:
                            type: object
                            properties:
                              network_employee_id:
                                type: integer
                              network_id:
                                type: integer
                              first_name:
                                type: string
                              last_name:
                                type: string
                              full_name:
                                type: string
                              account_status:
                                type: string
                          affiliate_manager:
                            type: object
                            properties:
                              network_employee_id:
                                type: integer
                              network_id:
                                type: integer
                              first_name:
                                type: string
                              last_name:
                                type: string
                              full_name:
                                type: string
                              account_status:
                                type: string
                          geolocation:
                            type: object
                            properties:
                              country_code:
                                type: string
                              country_name:
                                type: string
                              region_code:
                                type: string
                              region_name:
                                type: string
                              city_name:
                                type: string
                              postal_code:
                                type: string
                              dma:
                                type: integer
                              dma_name:
                                type: string
                              timezone:
                                type: string
                              isp_name:
                                type: string
                              organization:
                                type: string
                              carrier_code:
                                type: string
                              carrier_name:
                                type: string
                              is_mobile:
                                type: boolean
                              is_proxy:
                                type: boolean
                          device_information:
                            type: object
                            properties:
                              platform_name:
                                type: string
                              browser_name:
                                type: string
                              browser_version:
                                type: string
                              device_type:
                                type: string
                              model:
                                type: string
                              brand:
                                type: string
                              os_version:
                                type: string
                              language:
                                type: string
                              http_accept_language:
                                type: string
                              is_mobile:
                                type: boolean
                              is_tablet:
                                type: boolean
                              is_robot:
                                type: boolean
                              is_filter:
                                type: boolean
                          offer_group:
                            type: object
                            properties:
                              network_offer_group_id:
                                type: integer
                              network_id:
                                type: integer
                              network_advertiser_id:
                                type: integer
                              name:
                                type: string
                              offer_group_status:
                                type: string
                              offer_count:
                                type: integer
                          forensiq_score:
                            type: string
                          http_accept_language:
                            type: string
                          http_user_agent:
                            type: string
                          redirect_url:
                            type: string
                          query_parameters:
                            type: object
                  conversions:
                    type: object
                    properties:
                      total:
                        type: integer
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            conversion_id:
                              type: string
                            conversion_unix_timestamp:
                              type: integer
                            click_unix_timestamp:
                              type: integer
                            status:
                              type: string
                              enum:
                                - approved
                                - rejected
                                - pending
                                - invalid
                            payout_type:
                              type: string
                            revenue_type:
                              type: string
                            payout:
                              type: number
                            revenue:
                              type: number
                            sale_amount:
                              type: number
                            sub1:
                              type: string
                            sub2:
                              type: string
                            sub3:
                              type: string
                            sub4:
                              type: string
                            sub5:
                              type: string
                            sub6:
                              type: string
                            sub7:
                              type: string
                            sub8:
                              type: string
                            sub9:
                              type: string
                            sub10:
                              type: string
                            source_id:
                              type: string
                            adv1:
                              type: string
                            adv2:
                              type: string
                            adv3:
                              type: string
                            adv4:
                              type: string
                            adv5:
                              type: string
                            adv6:
                              type: string
                            adv7:
                              type: string
                            adv8:
                              type: string
                            adv9:
                              type: string
                            adv10:
                              type: string
                            session_user_ip:
                              type: string
                            conversion_user_ip:
                              type: string
                            is_event:
                              type: boolean
                            event:
                              type: string
                            notes:
                              type: string
                            transaction_id:
                              type: string
                            currency_id:
                              type: string
                            email:
                              type: string
                            is_view_through:
                              type: boolean
                            is_scrub:
                              type: boolean
                            error_code:
                              type: integer
                            error_message:
                              type: string
                            coupon_code:
                              type: string
                            order_id:
                              type: string
                            url:
                              type: string
                            isp:
                              type: string
                            referer:
                              type: string
                            app_id:
                              type: string
                            idfa:
                              type: string
                            idfa_md5:
                              type: string
                            idfa_sha1:
                              type: string
                            google_ad_id:
                              type: string
                            google_ad_id_md5:
                              type: string
                            google_ad_id_sha1:
                              type: string
                            android_id:
                              type: string
                            android_id_md5:
                              type: string
                            android_id_sha1:
                              type: string
                            country:
                              type: string
                            region:
                              type: string
                            city:
                              type: string
                            dma:
                              type: integer
                            carrier:
                              type: string
                            platform:
                              type: string
                            os_version:
                              type: string
                            device_type:
                              type: string
                            device_model:
                              type: string
                            brand:
                              type: string
                            browser:
                              type: string
                            language:
                              type: string
                            http_user_agent:
                              type: string
                            previous_network_offer_id:
                              type: integer
                            network_offer_payout_revenue_id:
                              type: integer
                            relationship:
                              type: object
                              properties:
                                offer:
                                  type: object
                                  properties:
                                    network_offer_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    name:
                                      type: string
                                    offer_status:
                                      type: string
                                advertiser:
                                  type: object
                                  properties:
                                    network_advertiser_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    name:
                                      type: string
                                    account_status:
                                      type: string
                                affiliate:
                                  type: object
                                  properties:
                                    network_affiliate_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    name:
                                      type: string
                                    account_status:
                                      type: string
                                account_manager:
                                  type: object
                                  properties:
                                    network_employee_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    first_name:
                                      type: string
                                    last_name:
                                      type: string
                                    full_name:
                                      type: string
                                    account_status:
                                      type: string
                                affiliate_manager:
                                  type: object
                                  properties:
                                    network_employee_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    first_name:
                                      type: string
                                    last_name:
                                      type: string
                                    full_name:
                                      type: string
                                    account_status:
                                      type: string
                                offer_group:
                                  type: object
                                  properties:
                                    network_offer_group_id:
                                      type: integer
                                    network_id:
                                      type: integer
                                    network_advertiser_id:
                                      type: integer
                                    name:
                                      type: string
                                    offer_group_status:
                                      type: string
                                    offer_count:
                                      type: integer
                                attribution_method:
                                  type: string
                                query_parameters:
                                  type: object
                                usm_data:
                                  nullable: true
                                  type: object
                  pixels:
                    type: object
                    properties:
                      total:
                        type: integer
                      entries:
                        type: array
                        items:
                          type: object
                          properties:
                            pixel_id:
                              type: integer
                            conversion_id:
                              type: string
                            transaction_id:
                              type: string
                            timestamp:
                              type: integer
                            delivery_method:
                              type: string
                            pixel_status:
                              type: string
                            pixel_type:
                              type: string
                            payload:
                              type: string
                            is_success:
                              type: boolean
                            debug_information:
                              type: string
                            failed_attempts:
                              type: integer
                  raw_click:
                    type: string
                    description: Raw click log data.
                  on_hold_conversions:
                    type: object
                    properties:
                      total:
                        type: integer
                      entries:
                        type: array
                        items:
                          type: object
                          description: >-
                            On-hold conversion entry. Same structure as
                            conversion entries.
                type: object
          description: ''
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````